Package Details: simple-restart-check 1.0.0-2

Git Clone URL: https://aur.archlinux.org/simple-restart-check.git (read-only, click to copy)
Package Base: simple-restart-check
Description: A simple Bash script that checks if processes use outdated libraries.
Upstream URL: https://github.com/PilzAdam/simple-restart-check
Keywords: needrestart
Licenses: GPL3
Submitter: PilzAdam
Maintainer: PilzAdam
Last Packager: PilzAdam
Votes: 0
Popularity: 0.000000
First Submitted: 2020-07-15 15:49
Last Updated: 2020-07-15 15:57

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

PilzAdam commented on 2020-07-18 19:21

base is a "mandatory package": https://www.archlinux.org/news/base-group-replaced-by-mandatory-base-package-manual-intervention-required/

I already filed a bug report for namcap: https://bugs.archlinux.org/task/67288. Let's wait and see how that resolves and I will update this package accordingly.

katt commented on 2020-07-18 15:28

base is not a hard requirement as far as I know, namcap also complains about it:

simple-restart-check E: Dependency bash detected and not included (programs ['bash'] needed in scripts ['usr/bin/simple-restart-check'])

PilzAdam commented on 2020-07-15 16:05

The package base already depends on bash. Adding the bash dependency here would be useless, as everyone must have base installed.

katt commented on 2020-07-15 16:01

should depend on bash